<bugID>1391549<Summary>Initial state of sidebar icon should reflect the sidebar side (left/right) pref even if sidebar was closed before restarting Firefox</Summary><Description>Bug 1366851 made the sidebar icon to display the current side of the sidebar by accordingly flipping the icon. However, the initial state of the sidebar icon always shows a left sidebar even if the sidebar has been moved to the right.

STR:
A) Create a new profile and start Firefox with it.
B) Initial state of the icon sidebar is on the left and clicking on it shows the sidebar on the left [1].
C) Click the sidebar header button and select "Move Sidebar to Right"; both sidebar and sidebar icon change accordingly.
D) Close the sidebar (important).
E.1) Restart Firefox, or...
E.2) ... open a new browser window.

ER:
Closed sidebar on the right, with the sidebar icon showing a right sidebar.

AR:
Closed sidebar on the right, but sidebar icon shows a left sidebar; opening the sidebar fixes the sidebar icon.

After step E.2 this happens on the new browser window (in the original browser window the sidebar icon correctly shows a right sidebar). Omitting step D (i.e. leaving the sidebar open) workarounds the issue and the sidebar button correctly shows a right sidebar.

This is Firefox 57.0a1 x64 on Windows 10 Enterprise x64; ATM I cannot test other platforms. As for a regression range, this happens ever since Bug 1366851 landed.

[1] I'm on a LTR locale; I guess the opposite happens on RTL locales.</Description></bugID>